<script>
// import {
//   BButton, BCard, BCol, BForm, BFormGroup, BFormInput, BRow, BSpinner,
// } from 'bootstrap-vue'
import UserApiV1 from '@/api/userApi'

export default {
  name: 'SettingGeneral',
  components: {
    BCard,
    BForm,
    BRow,
    BCol,
    BFormGroup,
    BFormInput,
    BButton,
    BSpinner,
  },
  props: {
    userDada: {
      type: Object,
    },
  },
  data() {
    return {
      saving: false,
    }
  },
  methods: {
    async saveUser() {
      this.saving = true
      console.log('this.userDada: ', this.userDada)

      const users = new UserApiV1()
      try {
        this.responseUserData = await users.updateUser(this.userDada)
        console.log('responseUserData: ', JSON.parse(JSON.stringify(this.responseUserData.data)))
        this.saving = false
      }
      catch (error) {
        console.log('error getUserById', error)
        this.saving = false
      }
    },
  },
}
</script>

<template>
  <BCard>
    <BForm class="mt-2">
      <BRow>
        <BCol cols="12">
          <BFormGroup
            label="Mail"
            label-for="mail"
            label-cols-md="4"
          >
            <BFormInput
              placeholder="email"
              name="email"
            />
          </BFormGroup>
        </BCol>
        <BCol cols="12">
          <BFormGroup
            label="Slack"
            label-for="slack"
            label-cols-md="4"
          >
            <BFormInput
              placeholder="slack"
              name="slack"
              disabled
            />
          </BFormGroup>
        </BCol>
        <BCol cols="12">
          <BFormGroup
            label="Teams"
            label-for="teams"
            label-cols-md="4"
          >
            <BFormInput
              placeholder="teams"
              name="teams"
              disabled
            />
          </BFormGroup>
        </BCol>
        <BCol cols="12">
          <BFormGroup
            label="Telegram"
            label-for="telegram"
            label-cols-md="4"
          >
            <BFormInput
              placeholder="telegram"
              name="telegram"
              disabled
            />
          </BFormGroup>
        </BCol>
        <BCol cols="12">
          <BFormGroup
            label="Gitlab"
            label-for="gitlab"
            label-cols-md="4"
          >
            <BFormInput
              placeholder="gitlab"
              name="gitlab"
              disabled
            />
          </BFormGroup>
        </BCol>
        <BCol cols="12">
          <BFormGroup
            label="Jira"
            label-for="jira"
            label-cols-md="4"
          >
            <BFormInput
              placeholder="jira"
              name="jira"
              disabled
            />
          </BFormGroup>
        </BCol>

        <BCol cols="12">
          <BButton
            variant="primary"
            class="mt-2 mr-1"
            :disabled="saving"
            @click="saveUser"
          >
            <BSpinner
              v-if="saving"
              small
            />
            <span v-if="saving"> Saving... </span>
            <span v-else> Save changes </span>
          </BButton>
        </BCol>
      </BRow>
    </BForm>
  </BCard>
</template>

<style scoped>

</style>
